'use strict';

var _Loader = require('../../Loader');

var _Loader2 = _interopRequireDefault(_Loader);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function () {
	this.addExtensions(this.config.extensions || ['.css']);

	this.addDependencies(['style-loader', 'css-loader', this.config.extract && 'extract-text-webpack-plugin']);

	this.addLoaders(['style-loader', 'css-loader']);

	// better alias for localIdentName
	var moduleNaming = this.config.moduleNaming || this.config.localIdentName || '[name]__[local]___[hash:base64:5]';

	this.addQueryFor('css-loader', {
		modules: true,
		importLoaders: typeof this.config.importLoaders !== 'undefined' && this.config.importLoaders || 1,
		localIdentName: moduleNaming
	});

	var extract = this.config.extract || this.config.extractTo;
	extract && this.addExtractTextPlugin.apply(this, arguments);

	return this;
};