'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.FULL_PKG = exports.PARTIAL_PKG = exports.Builder = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _ = require('../');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PARTIAL_PKG = {
	'babel-core': true,
	'babel-loader': true,
	'postcss-loader': true,
	'extract-text-webpack-plugin': true,
	'sass-loader': true,
	'node-sass': true,
	'json-loader': true,
	'assets-webpack-plugin': true,
	'stylus-loader': true,
	'stylus': true
};

var FULL_PKG = _extends({}, PARTIAL_PKG, {
	'style-loader': true,
	'css-loader': true
});

exports.Builder = _2.default;
exports.PARTIAL_PKG = PARTIAL_PKG;
exports.FULL_PKG = FULL_PKG;