'use strict';

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _Loader = require('../../Loader');

var _Loader2 = _interopRequireDefault(_Loader);

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function () {
	this.addDependencies(['assets-webpack-plugin']);

	try {
		var AssetsPlugin = require(_path2.default.join(process.cwd(), "node_modules", "assets-webpack-plugin"));
		var allowedParams = ['filename', 'fullPath', 'path', 'prettyPrint', 'processOutput', 'update', 'metadata'];

		this.addPlugins([new AssetsPlugin((0, _lodash.pick)(this.config, allowedParams))]);
	} catch (e) {}

	return this;
};