'use strict';

var _Loader = require('../../Loader');

var _Loader2 = _interopRequireDefault(_Loader);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function () {
	this.addExtensions(this.config.extensions || ['.sass', '.scss']);

	this.addDependencies(['style-loader', 'css-loader', 'sass-loader', 'node-sass', this.config.extract && 'extract-text-webpack-plugin']);

	this.addLoaders(['style-loader', 'css-loader', 'sass-loader']);

	var extract = this.config.extract || this.config.extractTo;
	extract && this.addExtractTextPlugin.apply(this, arguments);

	return this;
};