'use strict';

var _Loader = require('../../Loader');

var _Loader2 = _interopRequireDefault(_Loader);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function () {
	this.addExtensions(this.config.extensions || ['.styl']);
	this.addLoaders(['style-loader', 'css-loader', 'stylus-loader']);
	this.addDependencies(['style-loader', 'css-loader', 'stylus-loader', 'stylus']);

	var extract = this.config.extract || this.config.extractTo;

	extract && this.addExtractTextPlugin.apply(this, arguments);

	return this;
};